Subject: n900 in 4.2-rc0: repeating oopses

From: [email-masked] (Pavel Machek)
Date: Sun, 26 Jul 2015 11:26:15 +0200

Hi!

> > > So, Pavel can you re-test? Maybe there can be problem with some driver
> > > which Tony did not compiled into zImage? Just speculation...
> > 
> > I re-tested with today's git, and it seems to boot. Thanks for help...
> 
> OK good to hear.
>  
> > Now. "echo mem > /sys/power/state" is broken, as in "returns
> > immediately in about 50% cases". The messages are
> > 
> > Powerdomain (per_pwrdm) didn't enter target state 1
> > Powerdomain (core_pwerdm) didn't enter target state 1
> > 
> > Any ideas? Thanks,
> 
> Works for me after enabling the idle timeouts with the following
> script and blanking the screen and disconnecting USB:
> 
> Also both keyboard LEDs should start blinking after the idle
> timeout with screen blanked and USB disconnected. If not, you
> have some module loaded that blocks the deeper idle states.

Ok, tried that, I had to do:

 cd /sys/class/gpio
 echo 162 > export
 cd gpio162
 echo out > direction
 echo 1 > value

to get the debug lights to work. But I could not get those leds to
blink.

> modprobe leds-gpio
> modprobe ledtrig-default-on

Is this actually neccessary/relevant?

> echo 255 > /sys/class/backlight/acx565akm/brightness

And this?

Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html